Name:           perl-XML-Feed
Version:        0.43
Release:        1%{?dist}
Summary:        Syndication feed parser and auto-discovery
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/XML-Feed
Source0:        https://cpan.metacpan.org/modules/by-module/XML/XML-Feed-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker)
# Module
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Class::ErrorHandler)
BuildRequires:  perl(DateTime::Format::Mail)
BuildRequires:  perl(DateTime::Format::W3CDTF)
BuildRequires:  perl(Feed::Find)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Module::Pluggable)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(URI::Fetch)
BuildRequires:  perl(XML::Atom) >= 0.32
BuildRequires:  perl(XML::Atom::Content)
BuildRequires:  perl(XML::Atom::Entry)
BuildRequires:  perl(XML::Atom::Feed)
BuildRequires:  perl(XML::Atom::Util)
BuildRequires:  perl(XML::RSS) >= 1.44
# Wanted by Makefile.PL but not actually used
#BuildRequires:  perl(HTML::TokeParser)
#BuildRequires:  perl(XML::LibXML) >= 1.66
# Test Suite
BuildRequires:  perl(DateTime)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(URI)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  perl(XML::RSS::LibXML)
# Optional Tests
BuildRequires:  perl(Test::Pod) >= 1.14
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
# Dependencies
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Class::ErrorHandler)
Requires:       perl(XML::RSS) >= 1.44

%description
XML::Feed is a syndication feed parser for both RSS and Atom feeds. It also
implements feed auto-discovery for finding feeds, given a URI.

%prep
%setup -q -n XML-Feed-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/XML/
%{_mandir}/man3/XML::Feed.3*
%{_mandir}/man3/XML::Feed::Content.3*
%{_mandir}/man3/XML::Feed::Enclosure.3*
%{_mandir}/man3/XML::Feed::Entry.3*

%changelog
* Sat Oct 19 2019 Paul Howarth <paul@city-fan.org> - 0.43-1
- Spec file written from scratch for EPEL-6 build (#1748209)

